! Scrie matr. de rigiditate - Triunghiul sup.:
subroutine Write_R(iunit, scal)
use work

implicit real(8) (a-h, o-z)


n6 =min(ngl,6)


IF(iunit ==1) THEN
	if(scal /=1.) then
	write(iunit,'(a)') ' Matricea R'': R = S^(-T)*K*S^(-1) scalata'

	else
	write(iunit,'(a)') ' Matricea R = S^(-T)*K*S^(-1)'
	endif

ELSE
	if(scal /=1.) then
	write(iunit,'(a)') trim(name)//': Matricea R scalata'

	else
	write(iunit,'(a)') trim(name)//': Matricea R'
	endif
ENDIF


do i =1,ngl
write(iunit, '(<n6>(1pg24.16))') R(i,i:)
enddo

if(scal /=1.) then
write(iunit,'(a)') ' Factor de scalare (R =R''*factor):'
write(iunit,*) scal
endif

END

